﻿namespace LyokoCMD.Sim.EnergyProviders
{
    class TimeWarpEnergyProvider : EnergyProvider
    {
        protected int _WarpCount = 0;
        public int WarpCount => _WarpCount;
        public const double WarpAddedEnergy = 100.0;
        public override string Name => "Retours vers le passé";
        public override double AvailableEnergy => _WarpCount * WarpAddedEnergy;

        public void Warp()
        {
            _WarpCount++;
        }
    }
}
