﻿using LyokoCMD.Sim.Workers;

namespace LyokoCMD.Sim.Tasks
{
    class TimeWarpTask : SCTask
    {
        public override string Name => "TimeWarp";
        public override double RequiredEnergy => 200.0;
        public override void Run(string[] args)
        {
            TimeWarpWorker timeWarpWorker = (TimeWarpWorker) Game.Objects.Get<Supercomputer>().GetWorker("TimeWarp");
            timeWarpWorker.Delay = int.Parse(args[2]);
            timeWarpWorker.Start();
        }
    }
}
