using System.Collections.Generic;

namespace LyokoCMD.Sim.Virtual {
    public interface IVirtualizableContainer {
        List<Virtualizable> Objects { get; }

        void Virtualize(Virtualizable obj);
        
        void Materialize(Virtualizable obj);

        void MaterializeAll();
    }
}
