﻿using LyokoCMD.Sim.Virtual.World;

namespace LyokoCMD.Sim.Virtual.Towers
{
    /// <summary>
    /// Décrit une tour de passage.
    /// </summary>
    public class WayTower : Tower
    {
        private Sector _Destination;
        public Sector Destination => _Destination;
        public WayTower(Sector destination) : base() => this._Destination = destination;
        public WayTower(Coordinates coords, Sector destination) : base(coords) => this._Destination = destination;
    }
}
