﻿using System;
using DasConzoleCore;
using DasConzoleCore.Commands;

namespace LyokoCMD.CommandLine.Commands
{
    /// <summary>
    /// Commande effaçant l'écran.
    /// </summary>
    class ClearCommand : Command
    {
        public override string[] Names => new string[] { "clear", "cls" };

        public override string Description => "Effacer le terminal.";

        public override string HelpText => "Usage : clear / cls\nEfface l'écran.";

        public override void Run(CommandApp app, string[] args) => Console.Clear();
    }
}
