﻿using LyokoCMD.Sim.Virtual;

namespace LyokoCMD.Sim
{
    class Human : UserVirtualizable
    {
        protected bool _AnnexProgram;
        public bool AnnexProgram => _AnnexProgram;
        protected DNAStatus _DNAStatus;
        public DNAStatus DNAStatus
        {
            get => _DNAStatus;
            set => _DNAStatus = value;
        }

        public override bool CanMaterialize => _DNAStatus == DNAStatus.Normal;

        public Human(string name, bool annexProgram = false) : base(name)
        {
            this._AnnexProgram = annexProgram;
            this._DNAStatus = DNAStatus.Normal;
        }
    }

    enum DNAStatus
    {
        Normal,
        Missing,
        Corrupted
    }
}
