﻿namespace LyokoCMD.Sim.Virtual.Towers
{
    public class Tower : Virtualizable
    {
        protected TowerStatus _Status = TowerStatus.Inactive;
        public TowerStatus Status => _Status;

        public Tower() : this(Coordinates.Random())
        {
        }

        public Tower(Coordinates coords) : base("Tour", coords) {}
    }

    public enum TowerStatus
    {
        Inactive,
        ActiveXANA,
        ActiveHopper,
        ActiveJeremy
    }
}
